<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Rendu SVG piloté par le réseau:  Fichier source de include/class/serveur.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Rendu SVG piloté par le réseau
   &#160;<span id="projectnumber">v1.0</span>
   </div>
   <div id="projectbrief">Projet informatique de Licence 3 ingénerie informatique</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_e476b43ffada8fe94e322482066afde7.html">class</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">serveur.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="serveur_8hpp.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#ifndef SERVEUR_HPP</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#define SERVEUR_HPP</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">// INCLUDES</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;stdlib.h&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;stdio.h&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;map&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &lt;thread&gt;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &lt;tinyxml2.h&gt;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="log_8hpp.html">module/log.hpp</a>&quot;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="gdata_8hpp.html">module/gdata.hpp</a>&quot;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="affichage_8hpp.html">class/affichage.hpp</a>&quot;</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="parsage_8hpp.html">class/parsage.hpp</a>&quot;</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="socket_8hpp.html">class/socket.hpp</a>&quot;</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="comment">// NAMESPACE</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keyword">using namespace </span><a class="code" href="namespacetinyxml2.html">tinyxml2</a>;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keyword">using namespace </span><a class="code" href="namespacestd.html">std</a>;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="comment">// CLASS</span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="class_serveur.html">   46</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_serveur.html">Serveur</a> {</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <span class="keyword">private</span>:</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        <span class="comment">// ---------- Attributes</span></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        <span class="keyword">struct </span><a class="code" href="structglobal__data.html">global_data</a> *g_data; </div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        <a class="code" href="class_affichage.html">Affichage</a> *affichage;       </div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        <a class="code" href="class_socket.html">Socket</a> *socket;             </div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        <a class="code" href="class_parsage.html">Parsage</a> *parseur;           </div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        pthread_t thread;           </div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;        <span class="comment">// ---------- Constructors &amp; Destructor</span></div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        <a class="code" href="class_serveur.html">Serveur</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structglobal__data.html#a5286e964937343115aebb48fd116c004">filepath</a>);</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        <a class="code" href="class_serveur.html">Serveur</a>(<span class="keyword">const</span> <a class="code" href="class_serveur.html">Serveur</a> &amp;serveur);</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        ~<a class="code" href="class_serveur.html">Serveur</a>();</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        <span class="comment">// ---------- Methods</span></div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        <span class="keywordtype">int</span> InitServeur(<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[]);</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        <span class="keywordtype">void</span> Start();</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        <span class="keywordtype">void</span> Stop();</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        <span class="keywordtype">void</span> Run();</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        <span class="comment">// ---------- Static Methods</span></div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        <span class="keyword">static</span> <span class="keywordtype">void</span> * Thread(gpointer ptr);</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;};</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="comment">// DOCUMENTATION</span></div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="comment"></span><a class="code" href="class_serveur.html#a0125780f12d0a18452109947e581a4a5">Serveur::Serveur</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structglobal__data.html#a5286e964937343115aebb48fd116c004">filepath</a>);</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<a class="code" href="class_serveur.html#a0125780f12d0a18452109947e581a4a5">Serveur::Serveur</a>(<span class="keyword">const</span> <a class="code" href="class_serveur.html">Serveur</a> &amp;serveur);</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;<a class="code" href="class_serveur.html#a722aefd65c9efab0b3e0646bf3440ea1">Serveur::~Serveur</a>();</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;<span class="keywordtype">int</span> <a class="code" href="class_serveur.html#a1c58497e65c8a106e41e1ba364d60514">Serveur::InitServeur</a>(<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[]);</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;<span class="keywordtype">void</span> <a class="code" href="class_serveur.html#a85bea1c7e74ca63345fcd73151af371c">Serveur::Start</a>();</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;<span class="keywordtype">void</span> <a class="code" href="class_serveur.html#af975ebf473fba816a553e88b67a2715a">Serveur::Stop</a>();</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;<span class="keywordtype">void</span> <a class="code" href="class_serveur.html#ad230d9f35c54db964a8213dc9c50b8f2">Serveur::Run</a>();</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;<span class="keyword">static</span> <span class="keywordtype">void</span> * <a class="code" href="class_serveur.html#acd70161c61868928614d01da3c3714ab">Serveur::Thread</a>(gpointer ptr);</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="affichage_8hpp_html"><div class="ttname"><a href="affichage_8hpp.html">affichage.hpp</a></div><div class="ttdoc">Classe de l&amp;#39;affichange graphique du serveur général. </div></div>
<div class="ttc" id="class_serveur_html_a1c58497e65c8a106e41e1ba364d60514"><div class="ttname"><a href="class_serveur.html#a1c58497e65c8a106e41e1ba364d60514">Serveur::InitServeur</a></div><div class="ttdeci">int InitServeur(int argc, char *argv[])</div><div class="ttdoc">Initialisation du serveur. </div></div>
<div class="ttc" id="namespacestd_html"><div class="ttname"><a href="namespacestd.html">std</a></div></div>
<div class="ttc" id="namespacetinyxml2_html"><div class="ttname"><a href="namespacetinyxml2.html">tinyxml2</a></div></div>
<div class="ttc" id="structglobal__data_html"><div class="ttname"><a href="structglobal__data.html">global_data</a></div><div class="ttdef"><b>Definition:</b> <a href="gdata_8hpp_source.html#l00050">gdata.hpp:50</a></div></div>
<div class="ttc" id="parsage_8hpp_html"><div class="ttname"><a href="parsage_8hpp.html">parsage.hpp</a></div><div class="ttdoc">Classe de parsage de document XML du serveur général. </div></div>
<div class="ttc" id="class_serveur_html_acd70161c61868928614d01da3c3714ab"><div class="ttname"><a href="class_serveur.html#acd70161c61868928614d01da3c3714ab">Serveur::Thread</a></div><div class="ttdeci">static void * Thread(gpointer ptr)</div><div class="ttdoc">Thread principale du serveur. </div></div>
<div class="ttc" id="class_serveur_html_af975ebf473fba816a553e88b67a2715a"><div class="ttname"><a href="class_serveur.html#af975ebf473fba816a553e88b67a2715a">Serveur::Stop</a></div><div class="ttdeci">void Stop()</div><div class="ttdoc">Arrête le serveur. </div></div>
<div class="ttc" id="socket_8hpp_html"><div class="ttname"><a href="socket_8hpp.html">socket.hpp</a></div><div class="ttdoc">Classe de la socket du serveur général. </div></div>
<div class="ttc" id="class_serveur_html"><div class="ttname"><a href="class_serveur.html">Serveur</a></div><div class="ttdef"><b>Definition:</b> <a href="serveur_8hpp_source.html#l00046">serveur.hpp:46</a></div></div>
<div class="ttc" id="class_serveur_html_a0125780f12d0a18452109947e581a4a5"><div class="ttname"><a href="class_serveur.html#a0125780f12d0a18452109947e581a4a5">Serveur::Serveur</a></div><div class="ttdeci">Serveur(const char *filepath)</div><div class="ttdoc">Constructeur de l&amp;#39;objet Serveur. </div></div>
<div class="ttc" id="class_serveur_html_a85bea1c7e74ca63345fcd73151af371c"><div class="ttname"><a href="class_serveur.html#a85bea1c7e74ca63345fcd73151af371c">Serveur::Start</a></div><div class="ttdeci">void Start()</div><div class="ttdoc">Démarre le serveur. </div></div>
<div class="ttc" id="class_socket_html"><div class="ttname"><a href="class_socket.html">Socket</a></div><div class="ttdef"><b>Definition:</b> <a href="socket_8hpp_source.html#l00057">socket.hpp:57</a></div></div>
<div class="ttc" id="structglobal__data_html_a5286e964937343115aebb48fd116c004"><div class="ttname"><a href="structglobal__data.html#a5286e964937343115aebb48fd116c004">global_data::filepath</a></div><div class="ttdeci">const char * filepath</div><div class="ttdef"><b>Definition:</b> <a href="gdata_8hpp_source.html#l00051">gdata.hpp:51</a></div></div>
<div class="ttc" id="class_affichage_html"><div class="ttname"><a href="class_affichage.html">Affichage</a></div><div class="ttdef"><b>Definition:</b> <a href="affichage_8hpp_source.html#l00053">affichage.hpp:53</a></div></div>
<div class="ttc" id="log_8hpp_html"><div class="ttname"><a href="log_8hpp.html">log.hpp</a></div><div class="ttdoc">Module de log de debogage. </div></div>
<div class="ttc" id="class_serveur_html_ad230d9f35c54db964a8213dc9c50b8f2"><div class="ttname"><a href="class_serveur.html#ad230d9f35c54db964a8213dc9c50b8f2">Serveur::Run</a></div><div class="ttdeci">void Run()</div><div class="ttdoc">Méthode d&amp;#39;écoute des erreurs. </div></div>
<div class="ttc" id="class_parsage_html"><div class="ttname"><a href="class_parsage.html">Parsage</a></div><div class="ttdef"><b>Definition:</b> <a href="parsage_8hpp_source.html#l00044">parsage.hpp:44</a></div></div>
<div class="ttc" id="gdata_8hpp_html"><div class="ttname"><a href="gdata_8hpp.html">gdata.hpp</a></div><div class="ttdoc">Structure de donnée partagé avec tous les composants. </div></div>
<div class="ttc" id="class_serveur_html_a722aefd65c9efab0b3e0646bf3440ea1"><div class="ttname"><a href="class_serveur.html#a722aefd65c9efab0b3e0646bf3440ea1">Serveur::~Serveur</a></div><div class="ttdeci">~Serveur()</div><div class="ttdoc">Destructeur de l&amp;#39;objet Serveur. </div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
